Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 426584 - sci-libs/gdal-1.9.1 [pdf] fails to build with poppler-0.20.1 (upstream fix included)
Summary: sci-libs/gdal-1.9.1 [pdf] fails to build with poppler-0.20.1 (upstream fix in...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Steve Arnold
URL: http://trac.osgeo.org/gdal/changeset/...
Whiteboard:
Keywords:
Depends on:
Blocks: poppler-0.20
  Show dependency tree
 
Reported: 2012-07-14 12:11 UTC by Andreas Sturmlechner
Modified: 2013-11-13 16:23 UTC (History)
19 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
poppler-0.20 backport to gdal-1.9 from upstream (gdal-1.9.1-poppler-0.20-support.patch,6.88 KB, patch)
2012-07-14 12:11 UTC, Andreas Sturmlechner
Details | Diff
gdal-1.9.1.ebuild.diff (gdal-1.9.1.ebuild.diff,441 bytes, patch)
2012-07-14 12:14 UTC, Andreas Sturmlechner
Details | Diff
compilation error with patch applied. (error-with-patch-applied.txt,1.64 KB, text/plain)
2012-07-23 19:12 UTC, Jeff Kowalczyk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2012-07-14 12:11:12 UTC
Created attachment 318132 [details, diff]
poppler-0.20 backport to gdal-1.9 from upstream

gdal-1.9.1 didn't rebuild successfully after latest poppler-0.20.1 update so I searched for a fix and found it.
Comment 1 Andreas Sturmlechner gentoo-dev 2012-07-14 12:14:20 UTC
Created attachment 318134 [details, diff]
gdal-1.9.1.ebuild.diff
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2012-07-15 23:52:08 UTC
Patch is almost correct — do not path configure, leave it to patch configure.ac and then run eautoreconf.
Comment 3 Mark Nowiasz 2012-07-21 09:21:45 UTC
(In reply to comment #0)
> Created attachment 318132 [details, diff] [details, diff]
> poppler-0.20 backport to gdal-1.9 from upstream
> 
> gdal-1.9.1 didn't rebuild successfully after latest poppler-0.20.1 update so
> I searched for a fix and found it.

Both patches work for me - I'm able to compile/install gdal 1.9.1. Thanks :-)
Comment 4 Jeff Kowalczyk 2012-07-23 19:11:30 UTC
I patched the 1.9.1 ebuild and am getting a different error, see attached.

pdfdataset.cpp: In static member function ‘static GDALDataset* PDFDataset::Open(GDALOpenInfo*)’:
pdfdataset.cpp:569:45: error: ‘setErrorFunction’ was not declared in this scope

My USE vars for gdal are:

[ebuild   R    ] sci-libs/gdal-1.9.1::jfkw  USE="aux_xml curl fits geos gif jpeg jpeg2k mysql odbc pdf perl png postgres python sqlite -armadillo -debug -doc -ecwj2k -gml -hdf5 -java -mdb -netcdf -ogdi -opencl -ruby -spatialite -threads -xls" 0 kB
Comment 5 Jeff Kowalczyk 2012-07-23 19:12:23 UTC
Created attachment 319012 [details]
compilation error with patch applied.
Comment 6 Juergen Rose 2012-07-24 08:08:15 UTC
The patches worked for me.
Comment 7 bli 2012-07-29 11:08:34 UTC
(In reply to comment #4)
> I patched the 1.9.1 ebuild and am getting a different error, see attached.
> 
> pdfdataset.cpp: In static member function ‘static GDALDataset*
> PDFDataset::Open(GDALOpenInfo*)’:
> pdfdataset.cpp:569:45: error: ‘setErrorFunction’ was not declared in this
> scope

I have a similar error, but with gdal-1.8.1-r1
The errors in the build log look similar to what is reported here:
https://gist.github.com/3040515

my version of poppler is apparently poppler-0.20.2

Should I bug report somewhere or am I faulty to have this version of poppler ?
Comment 8 Andreas Sturmlechner gentoo-dev 2012-07-29 11:19:27 UTC
You're suffering from having poppler somewhere in your package.keywords while running stable(?) according to your gdal version.
Comment 9 David Kredba 2012-07-30 17:14:00 UTC
With the patch it compiles fine with gcc-4.7.1 too.
Thank you.
Comment 10 Jouni Rinne 2012-08-05 05:00:19 UTC
Any chances to get the patch into the portage, too?
Comment 11 Paweł Rumian 2012-08-07 16:55:09 UTC
I can confirm that the patrch fixes the issue and would also be thankful for including it in the official tree.

$ emerge --info
Portage 2.2.0_alpha120 (default/linux/amd64/10.0/desktop, gcc-4.7.1, glibc-2.15-r2, 3.5.0-gentoo x86_64)
=================================================================
System uname: Linux-3.5.0-gentoo-x86_64-AMD_Athlon-tm-_II_X3_450_Processor-with-gentoo-2.1
Timestamp of tree: Tue, 07 Aug 2012 12:30:01 +0000
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.12
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.8-r3
dev-util/pkgconfig:       0.27
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.5
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.2
sys-devel/binutils:       2.22.90
sys-devel/gcc:            4.7.1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.5 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo local-repo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="pl_PL.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="pl"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acpi alsa amd64 bash-completion bluetooth branding bzip2 cairo cdda cdr cli cracklib crypt cups cxx dri dts dvd dvdr emboss encode exif fam firefox flac fortran gif gnutls gpm gtk iconv ipv6 jpeg lapack lcms mad mmx mmxext mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl ogg opengl openmp pam pango pcre pdf png ppds pppd python readline session smp spell sse sse2 ssl startup-notification svg tcpd threads tiff truetype udev udisks unicode upower usb vdpau vorbis x264 xcb xml xmp xv xvid zlib" ALSA_CARDS="emu10k1" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="directory" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="pl" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="radeon r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 12 Markos Chandras (RETIRED) gentoo-dev 2012-08-09 19:46:09 UTC
Steve is inactive for the past few months. If anyone is willing to fix this package then go ahead and do it
Comment 13 Justin Lecher gentoo-dev 2012-08-10 06:12:36 UTC
+  10 Aug 2012; Justin Lecher <jlec@gentoo.org> gdal-1.9.1.ebuild,
+  +files/gdal-1.9.1-poppler-0.20.1.patch:
+  Add fix for poppler-0.20.1, #426584; thanks Andreas Sturmlechner for the
+  backport; use eautoreconf because it seems to work
+
Comment 14 Fabian Köster 2012-11-10 12:45:08 UTC
Can you please backport the patch to stable version 1.8.1? app-text/poppler-0.20.4 is now stable on some arches and this leads to bug #434316.
Comment 15 Chris Stankevitz 2013-11-13 16:23:46 UTC
sci-libs/gdal-1.9.2 has the same problem with app-text/poppler-0.24.3